Description

We should design and deploy a number of monitoring approaches aiming at alerting the service managers about any malfunction.

I see at least two families:

monitoring systems alerting us when the web site openportal.isti.cnr.it is not responding;

monitoring systems alerting us when the primary data source is not responding, e.g. a call to this should be sufficient

https://www.cnr.it/oai-pmh/oai2.php?verb=Identify or https://www.cnr.it/oai-pmh/oai2.php?verb=ListSets

I do ignore what we have in place right now, certainly we do not have any alert raised when the primary data source (not operated by

ISTI) is not responding ... or I'm not receiving any notification.   

Related issues:

Related to ISTI Open Access - Support #22008: Cater for OpenPortal for ISPC Closed Sep 15, 2021

History

#1 - Nov 10, 2020 04:12 PM - Andrea Dell'Amico

We do not have anything at the moment, the monitoring system for ISTI is still a work in progress.

#2 - Sep 15, 2021 10:14 AM - Leonardo Candela

- Priority changed from Normal to High

#3 - Sep 15, 2021 10:21 AM - Leonardo Candela

- Related to Support #22008: Cater for OpenPortal for ISPC added

#4 - Oct 15, 2021 10:15 AM - Leonardo Candela

We recently faced with an issue on People side, i.e. we have been provided with a smaller number of items. Of course this is an application oriented

"malfunction" and we should identify an approach for alerting the right person(s).

In essence, there are at least two typologies of monitoring and alerting we should have:

alerts on machines and services "availability", "loads";

alerts on services business logic malfunctions;

#5 - Oct 15, 2021 06:54 PM - Andrea Dell'Amico

Leonardo Candela wrote in #note-4:

We recently faced with an issue on People side, i.e. we have been provided with a smaller number of items. Of course this is an application

oriented "malfunction" and we should identify an approach for alerting the right person(s).

In essence, there are at least two typologies of monitoring and alerting we should have:

alerts on services business logic malfunctions;

 We need help from the service to handle this one. I guess a set of prometheus friendly metrics should suffice.

#6 - Oct 16, 2021 11:04 AM - Leonardo Candela

I'm fine with Prometheus and Grafana and willing to play with them:
Do we have any dashboard for Open Portal? What shall I do to access it?

Is there any "application context" defined for it?

Is @michele.artini@isti.cnr.it aware on how to produce "prometheus friendly metrics"?

#7 - Oct 18, 2021 06:15 PM - Andrea Dell'Amico

Leonardo Candela wrote in #note-6:

I'm fine with Prometheus and Grafana and willing to play with them:

Do we have any dashboard for Open Portal? What shall I do to access it?

 Not yet

Is there any "application context" defined for it?

Is @michele.artini@isti.cnr.it aware on how to produce "prometheus friendly metrics"?

 I don't know. I also don't know if there's something specific to Joomla, but there are a lot of  php-fpm exporters: 

https://github.com/Lusitaniae/phpfpm_exporter, 

https://bidhankhatri.com.np/monitoring/monitoring-php-fpm-pools-through-prometheus-and-grafana-on-centos-6-and-7/, 

https://github.com/hipages/php-fpm_exporter

#8 - Mar 25, 2025 11:44 AM - Luca Frosini

- Target version changed from ISTI Open Portal Tasks to To Be Planned
